## Waffenverbot im Winnerteam mit EZrestrict by Devil 

import es
from ezrestrict import ezrestrict

info = es.AddonInfo()
info.name = 'wtrestrict'
info.version = '0.2'
info.url = 'http://addons.eventscripts.com/addons/view/wtrestrict'
info.basename = 'wtrestrict'
info.author = 'Devil'

wt_winner = 0
wt_CT = 0
wt_T = 0
wt_wins = 2							## Anzahl der Runden Vorsprung um Winnerteam zu sein
wt_rest_perm = ('sg550','g3sg1')    ## Waffen die permanet verboten sind
wt_rest_perm_count = 2              ## Anzahl der Waffen die permanet verboten sind
wt_rest_perm_text = ''
wt_rest_wt = ('awp')                ## Waffen die nach wt_wins Runden Vorsprung verboten werden
wt_rest_wt_count = 1                ## Anzahl der Waffen die nach wt_wins Runden Vorsprung verboten werden
wt_rest_wt_text = ''

def load():
	global wt_rest_perm, wt_rest_perm_count, wt_rest_perm_text, wt_rest_wt, wt_rest_wt_count, wt_rest_wt_text
	es.set('wtrestrict_ver', '0.2')
	es.makepublic('wtrestrict_ver')
	if wt_rest_perm_count > 1:
		x = 1
		for weapon in wt_rest_perm:
			weapon = weapon.upper()
			if x == 1: wt_rest_perm_text += weapon
			else: wt_rest_perm_text += ', ' + weapon
			x = (x + 1)
	else:
		wt_rest_perm_text = wt_rest_perm.upper()
	if wt_rest_wt_count > 1:
		x = 1
		for weapon in wt_rest_wt:
			weapon = weapon.upper()
			if x == 1: wt_rest_wt_text += weapon
			else: wt_rest_wt_text += ', ' + weapon
			x = (x + 1)
	else:
		wt_rest_wt_text = wt_rest_wt.upper()
		
def player_activate(event_var):
	global wt_rest_perm
	int_userid = int(event_var['userid'])
	ezrestrict.restrict(int_userid, wt_rest_perm)

def round_start(event_var):
	global wt_winner, wt_rest_perm, wt_rest_wt, wt_rest_wt_text
	wt_winner = int(wt_winner)
	ezrestrict.restrict('@all', wt_rest_perm)
	if wt_winner == 0: ezrestrict.unrestrict('@all', wt_rest_wt)
	if wt_winner == 2:
		ezrestrict.restrict('@t', wt_rest_wt)
		ezrestrict.unrestrict('@ct', wt_rest_wt)
		es.msg('#multi', '#lightgreen ' + wt_rest_wt_text + '#green verbot im T-Team!')
	if wt_winner == 3:
		ezrestrict.restrict('@ct', wt_rest_wt)
		ezrestrict.unrestrict('@t', wt_rest_wt)
		es.msg('#multi', '#lightgreen ' + wt_rest_wt_text + '#green verbot im CT-Team!')

def item_pickup(event_var):
	global wt_winner, wt_rest_perm, wt_rest_perm_text, wt_rest_wt, wt_rest_wt_text
	wt_winner = int(wt_winner)
	wt_userid = int(event_var['userid'])
	wt_team = int(event_var['es_userteam'])
	wt_item = event_var['item']
	if wt_team == wt_winner:
		if wt_item in wt_rest_wt:
			es.tell(wt_userid, '#multi', '#lightgreen ' + wt_rest_wt_text + '#green verbot im Winnerteam!')
	if wt_item in wt_rest_perm:
		es.tell(wt_userid, '#multi', '#lightgreen ' + wt_rest_perm_text + '#green ist verboten!')

def round_end(event_var):
	global wt_wins, wt_T, wt_CT, wt_winner
	wt_winner = 0
	wt_check = 0
	wt_wins = int(wt_wins)
	wt_T = int(wt_T)
	wt_CT = int(wt_CT)
	wt_roundwin = int(event_var['winner'])
	if wt_roundwin == 2: wt_T = (wt_T + 1)
	if wt_roundwin == 3: wt_CT = (wt_CT + 1)
	if wt_T < wt_CT:
		wt_check = wt_T + wt_wins
		if wt_check <= wt_CT:
			wt_winner = 3
	if wt_CT < wt_T:
		wt_check = wt_CT + wt_wins
		if wt_check <= wt_T:
			wt_winner = 2

def game_start(event_var):
	global wt_CT, wt_T
	wt_CT = 0
	wt_T = 0

def game_newmap(event_var):
	global wt_CT, wt_T
	wt_CT = 0
	wt_T = 0
	
def es_map_start(event_var):
	global wt_CT, wt_T
	wt_CT = 0
	wt_T = 0
	
def server_spawn(event_var):
	global wt_CT, wt_T
	wt_CT = 0
	wt_T = 0
